package cz.fidentis.web.role;

import java.util.List;

/**
 * @author Petr Hendrych
 * @since 29.11.2022
 */
public interface RoleService {

    /**
     * Service to create new ROLE inside system. Role names should have prefix
     * 'ROLE_' to be consistent across other roles e.g. (ROLE_MANAGER)
     *
     * @param role Role object where in reality only name attribute is required
     *             because id is automatically generated by DB
     * @return New role entity with id and name
     */
    Role saveRole(Role role);

    /**
     * Service to get all available roles in system.
     *
     * @return List of all {@code Role} entities
     */
    List<Role> getRoles();
}
