import { AxiosResponse } from 'axios';

import { BatchRegistrationTaskDto } from '../types/BatchProcessingTypes';
import { HumanFace } from '../types/HumanFaceTypes';

import { compressionConfig, httpRequest } from './AxiosConfig';

const URL = '/api/batch-processing';

export const BatchProcessingTaskService = {
	executeRegistration: async (
		dto: BatchRegistrationTaskDto
	): Promise<HumanFace> => {
		const response: AxiosResponse = await httpRequest.post(
			`${URL}/registration/execute`,
			dto,
			compressionConfig
		);
		return response.data;
	},

	exportAverageFace: async (
		humanFaceEntityId: number | undefined
	): Promise<Blob> =>
		(
			await httpRequest.post(
				`${URL}/registration/export-average-face/${humanFaceEntityId}`,
				{},
				{
					responseType: 'blob'
				}
			)
		).data
};
