import { FileUpload } from './FileTypes';

export enum AveragingMethod {
	NearestNeighbours = 'NEAREST_NEIGHBOURS',
	RayCasting = 'RAY_CASTING',
	Skip = 'SKIP'
}

export enum RegistrationMethod {
	MeshBasedICP = 'MESH_BASED_ICP',
	FeaturePoints = 'FEATURE_POINTS',
	SkipRegistration = 'SKIP_REGISTRATION'
}

export type BatchRegistrationTaskDto = {
	taskId: number;
	projectId: number;
	selectedFile: FileUpload | null;
	fileIds: number[];
	averagingTaskDto: AveragingTaskDto;
	registrationTaskDto: RegistrationTaskDto;
};

export type AveragingTaskDto = {
	taskId: number;
	averagingMethod: AveragingMethod;
	maxRegistrationIterations: number;
	stabilizationThreshold: number;
};

export type RegistrationTaskDto = {
	taskId: number;
	registrationMethod: RegistrationMethod;
	registrationSubsampling: number;
	scaleFacesDuringRegistration: boolean;
};
